Data Fields
acc_vibration_config_t Struct Reference

Vibration config container. More...

`#include <example_vibration.h>`

## Data Fields
int32_t | measured_point
uint16_t | time_series_length
float | lp_coeff
float | threshold_sensitivity
float | amplitude_threshold
acc_vibration_reported_displacement_mode_t | reported_displacement_mode
bool | low_frequency_enhancement
acc_config_profile_t | profile
float | frame_rate
float | sweep_rate
uint16_t | sweeps_per_frame
uint16_t | hwaas
bool | double_buffering
bool | continuous_sweep_mode
acc_config_idle_state_t | inter_frame_idle_state
acc_config_idle_state_t | inter_sweep_idle_state

## Detailed Description

Vibration config container.

Examples
  example_vibration_main.c.

Definition at line 37 of file example_vibration.h.

## Field Documentation

## ◆ amplitude_threshold

float acc_vibration_config_t::amplitude_threshold

Minimum amplitude for calculating vibration

Definition at line 52 of file example_vibration.h.

## ◆ continuous_sweep_mode

bool acc_vibration_config_t::continuous_sweep_mode

Wether to enable continuous sweep mode

Definition at line 79 of file example_vibration.h.

## ◆ double_buffering

bool acc_vibration_config_t::double_buffering

Wether to enable double buffering

Definition at line 76 of file example_vibration.h.

## ◆ frame_rate

float acc_vibration_config_t::frame_rate

The frame rate in Hz

Definition at line 64 of file example_vibration.h.

## ◆ hwaas

uint16_t acc_vibration_config_t::hwaas

The number of HWAAS

Definition at line 73 of file example_vibration.h.

## ◆ inter_frame_idle_state

acc_config_idle_state_t acc_vibration_config_t::inter_frame_idle_state

The inter frame idle state

Definition at line 82 of file example_vibration.h.

## ◆ inter_sweep_idle_state

acc_config_idle_state_t acc_vibration_config_t::inter_sweep_idle_state

The inter sweep idle state

Definition at line 85 of file example_vibration.h.

## ◆ low_frequency_enhancement

bool acc_vibration_config_t::low_frequency_enhancement

Adds a loopback subsweep for phase correction to enhance low frequency detection

Definition at line 58 of file example_vibration.h.

## ◆ lp_coeff

float acc_vibration_config_t::lp_coeff

Filter coefficient of exponential filter

Definition at line 46 of file example_vibration.h.

## ◆ measured_point

int32_t acc_vibration_config_t::measured_point

The measured point

Definition at line 40 of file example_vibration.h.

## ◆ profile

acc_config_profile_t acc_vibration_config_t::profile

The profile to use

Definition at line 61 of file example_vibration.h.

## ◆ reported_displacement_mode

acc_vibration_reported_displacement_mode_t acc_vibration_config_t::reported_displacement_mode

Reported displacement mode: amplitude or peak2peak

Definition at line 55 of file example_vibration.h.

## ◆ sweep_rate

float acc_vibration_config_t::sweep_rate

The sweep rate in Hz

Definition at line 67 of file example_vibration.h.

## ◆ sweeps_per_frame

uint16_t acc_vibration_config_t::sweeps_per_frame

The number of sweeps per frame

Definition at line 70 of file example_vibration.h.

## ◆ threshold_sensitivity

float acc_vibration_config_t::threshold_sensitivity

Threshold sensitivity

Definition at line 49 of file example_vibration.h.

## ◆ time_series_length

uint16_t acc_vibration_config_t::time_series_length

Length of time series

Definition at line 43 of file example_vibration.h.

The documentation for this struct was generated from the following file:

- Inc/example_vibration.h